import request from '@/utils/request'

// 查询数据接入列表
export function tableNameList(databaseName) {
    return request({
        url: '/system/accredit/tableNameList/' + databaseName,
        method: 'post'
    })
}

export function selectTableXml(tableName) {
    return request({
        url: '/system/accredit/selectTableXml/' + tableName,
        method: 'post'
    })
}

export function listDeptVo(data) {
    return request({
        url: '/system/accredit/listDeptVo',
        method: 'get',
        data
    })
}

export function listSelectSysUser(data) {
    return request({
        url: '/system/accredit/listSelectSysUser',
        method: 'get',
        data
    })
}

export function selJDBCStream(data) {
    return request({
        url: '/system/accredit/selJDBCStream',
        method: 'post',
        data
    })
}

export function listListstructure(data) {
    return request({
        url: '/system/accredit/listListstructure',
        method: 'post',
        data
    })
}
// 根据表名查询表框架
export function selNameTableList(name) {
    return request({
        url: '/system/accredit/selNameTableList/'+ name,
        method: 'post'
    })
}
// 根据表名获取表结构
export function selNameListStructure(tableName) {
    return request({
        url: '/system/accredit/selNameListStructure/'+ tableName,
        method: 'post'
    })
}

/**
 * 修改状态/是否增加字典
 * @param data
 * @returns {AxiosPromise}
 */
export function updateListStructure(data) {
    return request({
        url: '/system/accredit/updateListStructure',
        method: 'post',
        data
    })
}

/**
 * 查看父类表
 * @param data
 * @returns {*}
 */
export function selectFrimary(data) {
    return request({
        url: '/system/accredit/selectFrimary',
        method: 'post',
        data
    })
}

export function listMiddle(name) {
    return request({
        url: '/system/accredit/listMiddle?name=' + name,
        method: 'post'
    })
}


